diff --git a/creator/livecd-creator b/creator/livecd-creator
index 4b24d47..b1fa316 100755
--- a/creator/livecd-creator
+++ b/creator/livecd-creator
@@ -32,6 +32,7 @@ import shutil
 import optparse

 import yum
+import rpm
 import rpmUtils.arch
 import pykickstart
 import pykickstart.parser
@@ -531,6 +532,10 @@ class ImageCreator(object):

     def installPackages(self):
         """install packages into target file system"""
+
+        if self.ksparser.handler.packages.excludeDocs:
+            rpm.addMacro("_excludedocs","1")
+
         try:
             for pkg in (self.ksparser.handler.packages.packageList +
                         self._getRequiredPackages()):